package org.gjt.sp.jedit.buffer;

import javax.swing.text.Segment;

import org.gjt.sp.jedit.syntax.TokenHandler;

public interface IJEditBuffer {

	int getLineLength(int lineIndex);

	void markTokens(int lineIndex, TokenHandler scanner);

	int getTabSize();

	int getIndentSize();

	CharSequence getLineSegment(int index);

	void getLineText(int line, Segment lineText);

	int getLineStartOffset(int line);

	int getLineCount();

	int getLineOfOffset(int openBracketIndex);

	boolean getBooleanProperty(String string);

}
